
Foreman - Bug #23521

BreadcrumbBar name_field should support nested fields

05/06/2018 01:13 PM - Avi Sharvit

Status: Closed   

Priority: Normal   

Assignee: Avi Sharvit   

Category: Web Interface   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5534,

https://github.com/theforeman/foreman/p

ull/5684

  

Description

The name_field is the display field from the switcher result.

In some cases, the name_field may be nested, e.g. 'user.name'

See: https://github.com/theforeman/foreman-tasks/pull/330/files/8f2fff9c930c90c4193e5c945b1a632dd30ae2a3#r184344657

Related issues:

Related to Foreman - Feature #22855: Add redux container for breadcrumb switcher Closed 03/12/2018

Associated revisions

Revision fe74cc88 - 05/16/2018 12:52 PM - Avi Sharvit

Fixes #23521 - BreadcrumbBar nested name_field

History

#1 - 05/06/2018 01:13 PM - Avi Sharvit

- Related to Feature #22855: Add redux container for breadcrumb switcher added

#2 - 05/06/2018 01:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5534 added

#3 - 05/16/2018 01:01 PM - Avi Sharvit

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fe74cc88d888cbf51f441c253e027b007440e77f.

#4 - 06/12/2018 01:33 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5684 added
